# run GC here
if [ "$#" -ne 3 ]; then
    echo "Illegal number of parameters expected 3"
    exit 1
fi

gspan=$1
myfasta=$2
rootdir=$3
mynames=$rootdir"/FASTA/data.names"
featbin="$gspan.feature_bin"
echo "gspan: $gspan"
echo "Root-dir: $rootdir"

if [ ! -f "$gspan" ] #|| [[  $gspan != *.gspan ]]
  then
    echo "Gspan not available or have wrong suffix... exit: $gspan"
    exit 1
fi

if [ ! -e $rootdir ] 
  then
    echo "Root dir not available or have wrong suffix... exit: $rootdir"
    exit 1
fi

if [ ! -f $mynames ] || [[  $mynames != *.names ]]
  then
    echo "Names file not available or have wrong suffix... exit: $mynames"
    exit 1
fi




# Comaptibility check
cat $gspan | grep "t #" |  awk '{print $4}' | sed 's/_filtered//' | sed 's/.folded//' > "$rootdir/gspan_ids.txt"
cat $mynames |  awk '{print $6}'  | sed 's/_rep//' > "$rootdir/name_ids.txt"
cat $myfasta | grep ">" | awk '{print $2}'  | sed 's/_rep//' > "$rootdir/fasta_ids.txt"


diff_ids=$(diff -w "$rootdir/gspan_ids.txt"  "$rootdir/name_ids.txt")

if [ "$diff_ids" != "" ]
  then
    echo "ERROR: gspan and name ids not match! Diff is:"
    echo $diff_ids
    exit -1
fi

diff_ids=$(diff -w "$rootdir/gspan_ids.txt"  "$rootdir/fasta_ids.txt")

if [ "$diff_ids" != "" ]
  then
    echo "ERROR: gspan and fasta ids not match! Diff is:"
    echo $diff_ids
    exit -1
fi






if [ ! -f $featbin ]
  then
    echo "Feature_bin not available exit: $featbin"
    exit 1
fi

echo "Feature bin is:"
echo $featbin



# read -p "Cleaning up root direcory, press enter to continue" yn
rm $rootdir/SGE_LOG/stage[5-9]*
rm -rf $rootdir/SVECTOR/sge_log_stage5.1/
rm $rootdir/SVECTOR/blacklist.no_model $rootdir/SVECTOR/data.svector.blacklist.1 $rootdir/SVECTOR/data.svector.1.fast_cluster  $rootdir/SVECTOR/data.svector.1.fast_cluster_sim $rootdir/SVECTOR/data.svector.fast_cluster.1.DONE;
mv SVECTOR/data.svector SVECTOR/data.svector.orig
cp $featbin SVECTOR/data.svector
#rerun GC here
config_file='/home/miladim/projects/AlignClust-Evaluation/data/GraphClust/configs/config.all_default_noabst_numcluster500_group_win_size_exterme_global'

# Run GraphClust Pipeline no sge
'/usr/local/user/GraphClust-0.7.6/bin/MASTER_GraphClust.pl' --fasta "$myfasta" --root-dir "$rootdir" --config "$config_file"

# for c in *[0-9]; do cat $c/cluster.all | awk -v c=$c '{print c,$11}' | sort; done > result.txt
