#!/bin/bash
#$ -cwd
#$ -e /home/miladim/Projects/sge.err/err.$JOB_ID
#$ -o /home/miladim/Projects/sge.err/out.$JOB_ID
#$ -l h_vmem=1G
# -l nice_cpu=1
# -m ea


# -l h_cpu=2:0:0 
# -l h_rt=3:0:0 


######################################################################
## job script "generic_submit_to_cluster.sh"
## so this is a generic shell script that can call a certain perl script
## with the given parameter sets. If more than one parameter set is given, then the script will be called multiple times for each parametr set in seqeuntial manner.
## This is useful if you need to commit several similar jobs to the cluster
######################################################################


##setup perl
#export PATH=/usr/bin/perl:$PATH

#### all paths that need to be predefined
export PERL5LIB=/usr/bin/perl:$HOME/Install/lib/perl5:$HOME/install/lib/perl:$PERL5LIB
#standard path variable for any programs that are used
export PATH=/usr/local/vrna/1.8.5/bin/:$HOME/bin/:$PATH

# all parameters for the shell script
working_dir=$1
perlscript=$2
shift
shift
## after shifting perscript is invoked for each parameter set


if [ -z "$SGE_TASK_ID" ]; then
	echo "No SGE environment found! Set SGE_TASK_ID to 0!"
	let SGE_TASK_ID=0
fi

if [ -z "$JOB_ID" ]; then
        echo "No SGE environment found! Set JOB_ID to 0!"
	        let JOB_ID=0
fi

if ! [ -z "$PBS_JOBID" ]; then
        echo "PBS environment found instead of SGE! Set JOB_ID to PBS_JOBID!"
	        let JOB_ID=$PBS_JOBID
fi


cd $working_dir
# Here we use perl as set by the path variable to run the script. If
# called directly using ./$perlscript, bash looks at the first line
# of the script to determine the executable to use. This is usually set
# to #!/usr/bin/perl. On the sge cluster this is currently
# version v5.8.8, released in early 2006, which may not be what you want.
#perl $perlscript $params --jobid $SGE_TASK_ID
while (( "$#" )); do
	params=$1;
	perl $perlscript $params -job-id $JOB_ID
	shift
done

